Groovy 1.7.10

## org.codehaus.groovy.binding
[Java] Class AggregateBinding

    java.lang.Object
      org.codehaus.groovy.binding.AggregateBinding

All Implemented Interfaces:
  BindingUpdatable

    public class AggregateBinding
    extends Object

An aggregation of multiple bindings

Authors:
  Danno Ferrin

Since:
  Groovy 1.6

Field Summary
`protected Set` | `bindings`
`protected boolean` | `bound`

Method Summary
`void` | `addBinding(BindingUpdatable binding)`
`void` | `bind()`
`void` | `rebind()`
`void` | `removeBinding(BindingUpdatable binding)`
`void` | `reverseUpdate()`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### bindings

    protected Set bindings

### bound

    protected boolean bound

Method Detail

### addBinding

    public void addBinding(BindingUpdatable binding)

### bind

    public void bind()

### rebind

    public void rebind()

### removeBinding

    public void removeBinding(BindingUpdatable binding)

### reverseUpdate

    public void reverseUpdate()

### unbind

    public void unbind()

### update

    public void update()

Copyright © 2003-2010 The Codehaus. All rights reserved.